Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/__init__.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/__init__.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision fe1eb946fecec96729a19b96c47e18c5aee2d756)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -7,4 +7,6 @@
 import wx
 import logging
+
+logger = logging.getLogger(__name__)
 
 from sas.sascalc.dataloader.loader import Loader
@@ -73,5 +75,5 @@
         path = None
         self._default_save_location = self.parent._default_save_location
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
 
@@ -90,5 +92,5 @@
         if dlg.ShowModal() == wx.ID_OK:
             file_list = dlg.GetPaths()
-            if len(file_list) >= 0 and not file_list[0] is None:
+            if len(file_list) >= 0 and file_list[0] is not None:
                 self._default_save_location = os.path.dirname(file_list[0])
                 path = self._default_save_location
@@ -114,5 +116,5 @@
         path = None
         self._default_save_location = self.parent._default_save_location
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
         dlg = wx.DirDialog(self.parent, "Choose a directory",
@@ -160,5 +162,5 @@
                 message += "\tError: {0}\n".format(error_data)
         else:
-            logging.error("Loader returned an invalid object:\n %s" % str(item))
+            logger.error("Loader returned an invalid object:\n %s" % str(item))
             data_error = True
 
@@ -182,5 +184,5 @@
                 log_msg += "Please try to open that file from \"open project\""
                 log_msg += "or \"open analysis\" menu."
-                logging.info(log_msg)
+                logger.info(log_msg)
                 file_errors[basename] = [log_msg]
                 continue
@@ -212,5 +214,5 @@
 
             except:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
 
                 error_message = "The Data file you selected could not be loaded.\n"
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/load_thread.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/load_thread.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/load_thread.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -71,7 +71,7 @@
         x = []
         y = []
-        if theta1 != None:
+        if theta1 is not None:
             self.theta1 = theta1
-        if theta2 != None:
+        if theta2 is not None:
             self.theta2 = theta2
         while self.theta2 < self.theta1:
@@ -81,5 +81,5 @@
         npts = int((self.theta2 - self.theta1) / (math.pi / 120))
 
-        if r == None:
+        if r is None:
             self.radius = math.sqrt(math.pow(self._mouse_x, 2) + \
                                      math.pow(self._mouse_y, 2))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/BaseInteractor.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/BaseInteractor.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/BaseInteractor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -63,9 +63,9 @@
         Draw the new roughness on the graph.
         """
-        if r1 != None:
+        if r1 is not None:
             self.r1 = r1
-        if r2 != None:
+        if r2 is not None:
             self.r2 = r2
-        if theta != None:
+        if theta is not None:
             self.theta = theta
         x1 = self.r1 * math.cos(self.theta)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 29e872e4d97689a48f665443a8b1fbfae9813a54)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -1,3 +1,2 @@
-
 ################################################################################
 # This software was developed by the University of Tennessee as part of the
@@ -14,5 +13,5 @@
 import sys
 import math
-import numpy
+import numpy as np
 import logging
 from sas.sasgui.plottools.PlotPanel import PlotPanel
@@ -24,4 +23,6 @@
 from appearanceDialog import appearanceDialog
 from graphAppearance import graphAppearance
+
+logger = logging.getLogger(__name__)
 
 DEFAULT_QMAX = 0.05
@@ -181,10 +182,10 @@
         # So manually recode the size (=x_size) and compare here.
         # Massy code to work around:<
-        if self.parent._mgr != None:
+        if self.parent._mgr is not None:
             max_panel = self.parent._mgr.GetPane(self)
             if max_panel.IsMaximized():
                 self.parent._mgr.RestorePane(max_panel)
                 max_panel.Maximize()
-        if self.x_size != None:
+        if self.x_size is not None:
             if self.x_size == self.GetSize():
                 self.resizing = False
@@ -210,9 +211,9 @@
         On Qmin Qmax vertical line event
         """
-        if event == None:
+        if event is None:
             return
         event.Skip()
         active_ctrl = event.active
-        if active_ctrl == None:
+        if active_ctrl is None:
             return
         if hasattr(event, 'is_corfunc'):
@@ -229,5 +230,5 @@
                 colors.append('purple')
                 values.append(min(x_data.max(), float(ctrl[2].GetValue())))
-            if self.ly == None:
+            if self.ly is None:
                 self.ly = []
                 for c, v in zip(colors, values):
@@ -239,8 +240,8 @@
                 xval = float(active_ctrl.GetValue())
                 position = self.get_data_xy_vals(xval)
-                if position != None and not self.is_corfunc:
+                if position is not None and not self.is_corfunc:
                     wx.PostEvent(self.parent, StatusEvent(status=position))
             except:
-                logging.error(sys.exc_value)
+                logger.error(sys.exc_value)
             if not event.leftdown:
                 # text event
@@ -255,5 +256,5 @@
                         self.canvas.draw()
                 except:
-                    logging.error(sys.exc_value)
+                    logger.error(sys.exc_value)
                 event.Skip()
                 return
@@ -288,5 +289,5 @@
         :Param value: float
         """
-        idx = (numpy.abs(array - value)).argmin()
+        idx = (np.abs(array - value)).argmin()
         return int(idx)  # array.flat[idx]
 
@@ -334,5 +335,5 @@
         if hasattr(event, "action"):
             dclick = event.action == 'dclick'
-            if ax == None or dclick:
+            if ax is None or dclick:
                 # remove the vline
                 self._check_zoom_plot()
@@ -340,5 +341,5 @@
                 self.q_ctrl = None
                 return
-        if self.ly != None and event.xdata != None:
+        if self.ly is not None and event.xdata is not None:
             # Selecting a new line if cursor lines are displayed already
             dqmin = math.fabs(event.xdata - self.ly[0].get_xdata())
@@ -359,8 +360,8 @@
         Move the cursor line to write Q range
         """
-        if self.q_ctrl == None:
+        if self.q_ctrl is None:
             return
         # release a q range vline
-        if self.ly != None and not self.leftdown:
+        if self.ly is not None and not self.leftdown:
             for ly in self.ly:
                 ly.set_alpha(0.7)
@@ -368,7 +369,7 @@
             return
         ax = event.inaxes
-        if ax == None or not hasattr(event, 'action'):
+        if ax is None or not hasattr(event, 'action'):
             return
-        end_drag = event.action != 'drag' and event.xdata != None
+        end_drag = event.action != 'drag' and event.xdata is not None
         nop = len(self.plots)
         pos_x, _ = float(event.xdata), float(event.ydata)
@@ -409,5 +410,5 @@
             self.q_ctrl[vl_ind].SetValue(str(pos_x))
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
 
     def set_resizing(self, resizing=False):
@@ -512,5 +513,5 @@
         ax = event.inaxes
         PlotPanel.onLeftDown(self, event)
-        if ax != None:
+        if ax is not None:
             try:
                 pos_x = float(event.xdata)  # / size_x
@@ -616,7 +617,6 @@
             # add menu of other plugins
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list == None) and (not len(item_list) == 0):
+            if (item_list is not None) and (len(item_list)):
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
-
                     try:
                         plot_menu.Append(wx_id, item[0], name)
@@ -682,5 +682,5 @@
 
 
-        if self.position != None:
+        if self.position is not None:
             wx_id = ids.next()
             self._slicerpop.Append(wx_id, '&Add Text')
@@ -731,4 +731,5 @@
                 self.subplot.set_ylim(y_range)
                 self.subplot.figure.canvas.draw_idle()
+                self.is_zoomed = True
         d.Destroy()
 
@@ -758,5 +759,5 @@
             default_name = default_name.split('.')[0]
         default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.save_data1d(data, default_name)
 
@@ -776,5 +777,5 @@
             default_name = default_name.split('.')[0]
         # default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.show_data1d(data, default_name)
 
@@ -808,5 +809,5 @@
         curr_label = self.appearance_selected_plot.label
 
-        if curr_color == None:
+        if curr_color is None:
             curr_color = self._color_labels['Blue']
             curr_symbol = 13
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision b2b3693291d8e49fd33718753161206c1964548c)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -14,5 +14,5 @@
 import sys
 import math
-import numpy
+import numpy as np
 import logging
 from sas.sasgui.plottools.PlotPanel import PlotPanel
@@ -30,4 +30,6 @@
 from graphAppearance import graphAppearance
 (InternalEvent, EVT_INTERNAL) = wx.lib.newevent.NewEvent()
+
+logger = logging.getLogger(__name__)
 
 DEFAULT_QMAX = 0.05
@@ -142,5 +144,5 @@
         """
         # Not implemented
-        if event == None:
+        if event is None:
             return
         event.Skip()
@@ -154,5 +156,5 @@
         PlotPanel.onLeftDown(self, event)
         ax = event.inaxes
-        if ax != None:
+        if ax is not None:
             # data coordinate position
             pos_x = "%8.3g" % event.xdata
@@ -225,5 +227,5 @@
         if self._is_changed_legend_label:
             data.label = self.title_label
-        if data.label == None:
+        if data.label is None:
             data.label = data.name
         if not self.title_font:
@@ -262,5 +264,5 @@
         # control axis labels from the panel itself
         yname, yunits = data.get_yaxis()
-        if self.yaxis_label != None:
+        if self.yaxis_label is not None:
             yname = self.yaxis_label
             yunits = self.yaxis_unit
@@ -269,5 +271,5 @@
             self.yaxis_unit = yunits
         xname, xunits = data.get_xaxis()
-        if self.xaxis_label != None:
+        if self.xaxis_label is not None:
             xname = self.xaxis_label
             xunits = self.xaxis_unit
@@ -318,6 +320,6 @@
         if len(self.data2D.detector) <= 1:
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list == None) and (not len(item_list) == 0) and\
-                self.data2D.name.split(" ")[0] != 'Residuals':
+            if ((item_list is not None) and len(item_list) and
+                self.data2D.name.split(" ")[0] != 'Residuals'):
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
                     try:
@@ -353,5 +355,5 @@
             slicerpop.Append(wx_id, '&Box Averaging in Qy')
             wx.EVT_MENU(self, wx_id, self.onBoxavgY)
-            if self.slicer != None:
+            if self.slicer is not None:
                 wx_id = ids.next()
                 slicerpop.Append(wx_id, '&Clear Slicer')
@@ -432,6 +434,6 @@
             except:
                 msg = "Add Text: Error. Check your property values..."
-                logging.error(msg)
-                if self.parent != None:
+                logger.error(msg)
+                if self.parent is not None:
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
         dial.Destroy()
@@ -531,5 +533,5 @@
         """
         ## Clear current slicer
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer.clear()
         ## Create a new slicer
@@ -567,5 +569,5 @@
         """
         # Find the best number of bins
-        npt = math.sqrt(len(self.data2D.data[numpy.isfinite(self.data2D.data)]))
+        npt = math.sqrt(len(self.data2D.data[np.isfinite(self.data2D.data)]))
         npt = math.floor(npt)
         from sas.sascalc.dataloader.manipulations import CircularAverage
@@ -627,5 +629,5 @@
 
         """
-        if self.slicer != None:
+        if self.slicer is not None:
             from SlicerParameters import SlicerParameterPanel
             dialog = SlicerParameterPanel(self, -1, "Slicer Parameters")
@@ -717,5 +719,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
@@ -733,5 +735,5 @@
         """
         event_id = str(evt.GetId())
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent._default_save_location
         default_name = self.plots[self.graph.selected_plottable].label
@@ -757,5 +759,5 @@
             default_name = default_name.split('.')[0]
         #default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.show_data2d(data, default_name)
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
@@ -442,5 +442,4 @@
                 self.restore()
                 return
-
         self.phi = numpy.fabs(self.theta2 - self.theta)
         if self.phi > numpy.pi:
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py	(revision b742b2b93bb2e4355995dcd47aab1ddcaf0cb142)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -87,5 +87,5 @@
             pos = (pos_x, pos_y + 5)
         self.PopupMenu(slicerpop, pos)
-        if self.scale != None:
+        if self.scale is not None:
             self.parent.scale2d = self.scale
 
@@ -106,5 +106,5 @@
             self.leftdown = True
             ax = event.inaxes
-            if ax != None:
+            if ax is not None:
                 self.xInit, self.yInit = event.xdata, event.ydata
                 try:
@@ -123,5 +123,5 @@
         """
         self.resizing = False
-        if self.x_size != None:
+        if self.x_size is not None:
             if self.x_size == self.GetSize():
                 self.canvas.set_resizing(self.resizing)
@@ -161,7 +161,7 @@
         self.plots[plot.name] = plot
         # Axis scales
-        if plot.xtransform != None:
+        if plot.xtransform is not None:
             self.xLabel = plot.xtransform
-        if plot.ytransform != None:
+        if plot.ytransform is not None:
             self.yLabel = plot.ytransform
         # Init graph
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -46,5 +46,5 @@
         """
         event.Skip()
-        if event.obj_class == None:
+        if event.obj_class is None:
             self.set_slicer(None, None)
         else:
@@ -57,5 +57,5 @@
         self.bck.Clear(True)
         self.type = type
-        if type == None:
+        if type is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/__init__.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/__init__.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -4,4 +4,6 @@
 import logging
 import sys
+
+logger = logging.getLogger(__name__)
 
 class Selection(object):
@@ -70,5 +72,5 @@
             canvas.mpl_disconnect(canvas.scroll_pick_id)
         except:
-            logging.error(sys.exc_value)
+            logger.error(sys.exc_value)
         self.canvas = canvas
         self.figure = figure
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -123,5 +123,5 @@
                                          x2=self.vertical_lines.x2,
                                          width=self.vertical_lines.half_width)
-        # if self.is_inside != None:
+        # if self.is_inside is not None:
         out = self._post_data()
         return out
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
@@ -362,7 +362,7 @@
         Draw the new roughness on the graph.
         """
-        if center_x != None:
+        if center_x is not None:
             self.x = center_x
-        if center_y != None:
+        if center_y is not None:
             self.y = center_y
         self.center_marker.set(xdata=[self.x], ydata=[self.y])
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 0783a2ed9356700e02df5519a64d4f9c02216074)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -90,7 +90,7 @@
             zmin = self.reset_zmin_ctl
             zmax = self.reset_zmax_ctl
-            if zmin == None:
+            if zmin is None:
                 zmin = ""
-            if zmax == None:
+            if zmax is None:
                 zmax = ""
             self.zmin_ctl.SetValue(str(zmin))
@@ -155,7 +155,7 @@
         self.qmax_ctl.SetLabel(str(format_number(qmax)))
         self.beam_ctl.SetLabel(str(format_number(beam)))
-        if zmin != None:
+        if zmin is not None:
             self.zmin_ctl.SetValue(str(format_number(zmin)))
-        if zmax != None:
+        if zmax is not None:
             self.zmax_ctl.SetValue(str(format_number(zmax)))
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -24,5 +24,5 @@
 import math
 import copy
-import numpy
+import numpy as np
 from sas.sasgui.plottools.PlotPanel import PlotPanel
 from sas.sasgui.plottools.plottables import Graph
@@ -100,5 +100,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             # Font size
             kwds = []
@@ -235,5 +235,5 @@
         event.Skip()
         # from boxMask import BoxMask
-        if event != None:
+        if event is not None:
             self._on_clear_slicer(event)
         self.slicer_z += 1
@@ -249,5 +249,5 @@
         Add new mask to old mask
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             data = Data2D()
             data = self.data
@@ -269,5 +269,5 @@
         Erase new mask from old mask
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer_mask = self.slicer.update()
             mask = self.data.mask
@@ -298,5 +298,5 @@
         self.subplot.set_ylim(self.data.ymin, self.data.ymax)
         self.subplot.set_xlim(self.data.xmin, self.data.xmax)
-        mask = numpy.ones(len(self.data.mask), dtype=bool)
+        mask = np.ones(len(self.data.mask), dtype=bool)
         self.data.mask = mask
         # update mask plot
@@ -307,5 +307,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer == None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
@@ -336,5 +336,5 @@
         """
         # the case of liitle numbers of True points
-        if len(mask[mask]) < 10 and self.data != None:
+        if len(mask[mask]) < 10 and self.data is not None:
             self.ShowMessage()
             mask = copy.deepcopy(self.mask)
@@ -343,5 +343,5 @@
             self.mask = mask
         # make temperary data to plot
-        temp_mask = numpy.zeros(len(mask))
+        temp_mask = np.zeros(len(mask))
         temp_data = copy.deepcopy(self.data)
         # temp_data default is None
@@ -355,5 +355,5 @@
         temp_data.data[mask == False] = temp_mask[mask == False]
         self.plotpanel.clear()
-        if self.slicer != None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.slicer = None
@@ -460,5 +460,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             # Font size
             kwds = []
@@ -710,5 +710,5 @@
         Status msg
         """
-        if self.parent.parent.parent != None:
+        if self.parent.parent.parent is not None:
             wx.PostEvent(self.parent.parent.parent,
                          StatusEvent(status=msg, type=type))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 6ffa0ddc406b5f3b0441f71973d3271354b486e9)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -88,5 +88,5 @@
         On Qmin Qmax vertical line event
         """
-        if event == None:
+        if event is None:
             return
         if event.id in self.plot_panels.keys():
@@ -99,5 +99,5 @@
 
     def _on_plot_lim(self, event=None):
-        if event == None:
+        if event is None:
             return
         if event.id in self.plot_panels.keys():
@@ -134,7 +134,5 @@
         """
         for group_id in self.plot_panels.keys():
-            panel = self.plot_panels[group_id]
-            panel.graph.reset()
-            self.hide_panel(group_id)
+            self.clear_panel_by_id(group_id)
         self.plot_panels = {}
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -44,5 +44,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             #Font size
             kwds = []
@@ -284,5 +284,5 @@
             default_name = default_name.split('.')[0]
         default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             # What an ancestor!
             fit_panel = self.parent.parent.parent
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -96,5 +96,5 @@
             self.left_line.update(phi=self.right_line.phi, delta=None,
                                   mline=self.main_line, side=True, left=False)
-        #if self.is_inside != None:
+        #if self.is_inside is not None:
         out = self._post_data()
         return out
@@ -117,5 +117,5 @@
         data = self.base.data
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         ## Averaging
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -37,5 +37,5 @@
         self.bck = wx.GridBagSizer(5, 5)
         self.SetSizer(self.bck)
-        if type == None and params == None:
+        if type is None and params is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
@@ -57,5 +57,5 @@
         """
         event.Skip()
-        if event.obj_class == None:
+        if event.obj_class is None:
             self.set_slicer(None, None)
         else:
@@ -68,5 +68,5 @@
         self.bck.Clear(True)
         self.type = type
-        if type == None:
+        if type is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
@@ -114,5 +114,5 @@
         self.Layout()
         psizer = self.parent.GetSizer()
-        if psizer != None:
+        if psizer is not None:
             psizer.Layout()
 
